# Book settings
# Learn more at https://jupyterbook.org/customize/config.html

title: PHELMA - SICOM - 2A
author: <a href="mailto:bertrand.rivet@phelma.grenoble-inp.fr">Bertrand Rivet</a> - <a href="mailto:Pierre-Loic.Bayart@grenoble-inp.fr">Pierre-Loïc Bayart</a>
copyright: Grenoble-INP Phelma - 2024
logo: logo.png

# Force re-execution of notebooks on each build.
# See https://jupyterbook.org/content/execute.html
execute:
  execute_notebooks: force

bibtex_bibfiles:
  - references.bib

sphinx:
  config:
    bibtex_reference_style: author_year

# Information about where the book exists on the web
repository:
  url: https://gricad-gitlab.univ-grenoble-alpes.fr/phelma-sicom/2a/4pmsiia4-cours
  branch: main

# Add GitHub buttons to your book
# See https://jupyterbook.org/customize/config.html#add-a-link-to-your-repository
html:
  use_issues_button: true
  use_repository_button: true
  extra_footer: |
    <p>
    <img src='https://mirrors.creativecommons.org/presskit/buttons/88x31/svg/by-nc.svg' height='31'/>
    </br>Plateforme réalisée à l'aide de <a href="https://jupyterbook.org/en/stable/intro.html" target="_blank">Jupyter Book</a>
    </p>